block('distribution').elem('header')(
    match(function() {
        return !_.isEmpty(this._eventData) && _.isEmpty(this._collectorData);
    }).content()('Приложите пропуск'),
    match(function() {
        return !_.isEmpty(this._collectorData);
    })(
        content()('Больше не положено'),
        match(function() {
            return this._availableCount > 0;
        }).content()(function() {
            return [
                {
                    elem: 'lucky',
                    content: [
                        {
                            elem: 'lucky-userpic',
                            tag: 'img',
                            attrs: {
                                src: '//center.yandex-team.ru/api/v1/user/' + this._collectorData.lucky_login + '/avatar/100.jpg',
                                width: 50
                            }
                        },
                        {
                            elem: 'lucky-login',
                            content: this._collectorData.lucky_login
                        }
                    ]
                }
            ];
        })
    )
);
